<template>
  <section>
    <router-link class="btn btn-primary" :to="{name: 'Dashboard'}">
      <i class="fa fa-arrow-left"></i> Back to Dashboard
    </router-link>

    <div class="content">
      <h1>{{$route.params.userName}}'s Todos</h1>

      <Table>
        <thead>
          <th>Title</th>
          <th>Status</th>
        </thead>
        <tr v-for="todo in todos" :key="todo.id">
          <td :class="{'text-lined': todo.completed}">{{todo.title}}</td>
          <td class="color-success text-center">
            <span v-if="todo.completed">
              <small><i class="fa fa-check"></i> COMPLETED</small>
            </span>
          </td>
        </tr>
      </Table>
    </div>
  </section>
</template>

<script>
import axios from 'axios'
import Table from '@/components/Table.vue'

export default {
  name: 'dashboard',
  components: {Table},
  data() {
    return {
      todos: []
    }
  },
  mounted() {
    axios.get(`https://jsonplaceholder.typicode.com/todos?userId=${this.$route.params.id}`)
      .then(res => {
        this.todos = res.data
      }).catch(err => {
        alert("An error ocurred when getting the user's todos.")
        console.log(err.response)
      })
  }
}
</script>

<style lang="scss" scoped>
  .color-success {
    color: green;
  }
</style>
